[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'libtar' (#fcl)

# TTarWriter.AddSymbolicLink

Add a symbolic link to the archive

## Declaration

Source position: libtar.pp line 202

`public procedure TTarWriter.AddSymbolicLink(`
`Filename: AnsiString;`
`Linkname: AnsiString;`
`DateGmt: TDateTime`
`);`

## Arguments

`Filename` |  | Filename for entry
`Linkname` |  | Target of symbolic link
`DateGmt` |  | Timestamp of entry

## Description

AddSymbolicLink adds a symbolic link entry to the archive, with name FileName, pointing to LinkName. The entry is written with timestamp DateGmt.

The link entry is written with the current owner data and permissions.

## See also

TTarWriter.AddFile |  | Add a file to the archive
TTarWriter.AddStream |  | Add stream contents to archive.
TTarWriter.AddLink |  | Add hard link to archive
TTarWriter.AddDir |  | Add directory to archive
TTarWriter.AddString |  | Add string as file data
TTarWriter.AddVolumeHeader |  | Add volume header entry

Documentation generated on: Feb 26 2014